%define major 1
%define minor 17
%define fix 2

%define sover 2

Name: c-ares
Version: %{major}.%{minor}.%{fix}
Release: 1
License: MIT
Summary: Library for asynchronous name resolves
Url: https://c-ares.haxx.se/

BuildRequires: cmake

Source0: http://c-ares.haxx.se/download/c-ares-%{version}.tar.gz

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package        utils
Summary:        Tools for asynchronous name resolves

%description    utils
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

This package provides some tools that make use of c-ares.

%package     -n libcares%{sover}
Summary:        Library for asynchronous name resolves

%description -n libcares%{sover}
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

This package provides the shared libraries for c-ares.

%package devel
Summary:        Development files for %{name}
Requires:       libcares%{sover} = %{version}
Provides:       libcares-devel = %{version}
Obsoletes:      libcares-devel < %{version}

%description devel
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

This package provides the development libraries and headers needed
to build packages that depend on c-ares.


%prep
%setup -q

%build

cmake -Bbuild-cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=%{_prefix}
sed -i 's|GETSERVBYPORT_R_ARGS 6|GETSERVBYPORT_R_ARGS 4|g' build-cmake/ares_config.h
sed -i 's|GETSERVBYNAME_R_ARGS 6|GETSERVBYNAME_R_ARGS 4|g' build-cmake/ares_config.h
cmake --build build-cmake --config Release --target install -j 8

%install

cd build-cmake
%make_install

mv -f %{buildroot}%{_libdir}/libcares.so.2.4.3 %{buildroot}%{_libdir}/libcares.so.%{sover}

%files utils
%defattr(-, qsys, *none)
%license LICENSE.md
%{_bindir}/acountry
%{_bindir}/adig
%{_bindir}/ahost
%{_mandir}/man1/acountry.1.gz
%{_mandir}/man1/adig.1.gz
%{_mandir}/man1/ahost.1.gz

%files -n libcares%{sover}
%defattr(-, qsys, *none)
%license LICENSE.md
%{_libdir}/libcares.so.%{sover}*

%files devel
%defattr(-, qsys, *none)
%license LICENSE.md
%{_libdir}/libcares.so
%{_includedir}/*.h
%{_mandir}/man3/ares_*.3.gz
%{_libdir}/pkgconfig/libcares.pc
%{_libdir}/cmake/c-ares/

%changelog
* Mon Aug 16 2021 Xu Meng <mengxumx@cn.ibm.com> - 1.17.2
- Fix CVE-2021-22931

* Thu Jan 21 2021 Xu Meng <mengxumx@cn.ibm.com> - 1.0.9
- Initial commit
